<?php
$target = 'guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");


$_SESSION['cnt_no_quita'] = 0;
$_SESSION['cnt_quita'] = 0;

if (file_exists($_GET['id_user'] . "quita_guias.txt"))
    unlink($_GET['id_user'] . "quita_guias.txt");
if (file_exists($_GET['id_user'] . "no_quita_guias.txt"))
    unlink($_GET['id_user'] . "no_quita_guias.txt");

function escribe_archivo($str_cadena, $str_archivo) {
    $archivo = fopen($str_archivo, "a+");
    fwrite($archivo, $str_cadena);
    fclose($archivo);
}

$nombrepagina = "QUITAR GUIA DE PLANILLA";
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    //echo"<br><br>";

    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }

    }

    $eliminaObj = new obtiene();
    $eliminaObj->obtener($suc);
    $tabla = $_SESSION['tabla_guia'];
    ?>
    <CENTER>
        <form action="" method="POST" name="backup">
            <table width="300" border="0" class="primaria">
                <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: Digite Guia a Quitar ::..</div></td>
                </tr>
                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        No Guia:
                    </td>
                    <td width="200" class="miTable_td">
                        <textarea cols="20" rows="10" name="guia" id="guia"></textarea>
                        <input type="hidden" name="tabla" value="<? echo $tabla; ?>" class="inputbox">
                    </td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Registrar" value="Quitar Guia" class="inputbox">
                        </div>
                    </td>
                </tr>
<?
    if (!isset($Registrar)) {
        
    } else {

        class crearSucursal {

            var $crearObj;
            var $conexionObj;
            var $estado;

            function validar($guia, $tabla) {
                $rst_validar = $this->conexionObj->consultar("SELECT * FROM $tabla WHERE guia='" . $guia . "'");
                if (mysql_num_rows($rst_validar) >= 1) {
                    $this->quitarGuia($guia, $tabla);
                } else {
                    $msgBOX2 = "No Existe La Guia No " . $guia;
                    echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
                }
            }

            function quitarGuia($guia, $tabla) {
                $this->conexionObj = new conexion();
                $this->conexionObj->conectarse();
                $rst_validar_pla = $this->conexionObj->consultar("select id_planilla,orden,id_mensajero from guias_proceso where guia='" . $guia . "' ");
                $tomar_planilla = mysql_fetch_array($rst_validar_pla);
                $e_planilla = $tomar_planilla[0];
                $e_orden = $tomar_planilla[1];
                $e_mensajero = $tomar_planilla[2];

                if ($e_planilla > 0) {
                    $rst_mod_pla = $this->conexionObj->modificar("UPDATE planillas SET cantidad=(cantidad-1) WHERE id_planilla='" . $e_planilla . "'  ");
                    $rst_insertar = $this->conexionObj->modificar("UPDATE guias_proceso SET id_mensajero = '0', id_estado = '12', id_planilla = '0', id_manifiesto = '0' WHERE guia = '" . $guia . "' AND id_estado = '13'");
                    $affected_rows = mysql_affected_rows();

                    if ($affected_rows >= 1) {
                        $this->conexionObj->modificar("UPDATE rastreo_guias SET E13=0,F13= '0000-00-00 00:00:00' WHERE guia = '" . $guia . "'");
                        $_SESSION['cnt_quita']++;
                        $cadena = trim($guia) . chr(13) . chr(10);
                        escribe_archivo($cadena, $_GET['id_user'] . "quita_guias.txt");
                    }else{

                        $_SESSION['cnt_no_quita']++;
                        $cadena = trim($guia) . chr(13) . chr(10);
                        escribe_archivo($cadena, $_GET['id_user'] . "no_quita_guias.txt");
                    }
                }else{
                         $_SESSION['cnt_no_quita']++;
                        $cadena = trim($guia) . chr(13) . chr(10);
                        escribe_archivo($cadena, $_GET['id_user'] . "no_quita_guias.txt");
                }
            }

        }

        $crearSucursalObj = new crearSucursal();

        $input = explode("\n", $guia);
        $arr_guia = array_unique($input);

        for ($ytr = 0; $ytr <= count($arr_guia); $ytr++) {
            $num_guia = trim($arr_guia[$ytr]);
            if (!empty($num_guia)) {
                $crearSucursalObj->quitarGuia($num_guia, 'rastreo_guias');
            }
        }

        echo '<tr class=miTable_tr>
				<td class=miTable_td colspan=2><div align="center">
				Guias Actualizadas ' . $_SESSION['cnt_quita'] .
        '&nbsp;&nbsp;<a href="' . $_GET['id_user'] . 'quita_guias.txt" target="_blank">Ver Detalle</a> &nbsp;&nbsp;
				<a href="descargar.php?f=' . $_GET['id_user'] . 'quita_guias.txt">Descargar</a></div></td></tr>';


        echo '<tr class=miTable_tr>
				<td class=miTable_td colspan=2><div align="center">
				Guias Sin Actualizar ' . $_SESSION['cnt_no_quita'] .
        '&nbsp;&nbsp;<a href="' . $_GET['id_user'] . 'no_quita_guias.txt" target="_blank">Ver Detalle</a> &nbsp;&nbsp;
				<a href="descargar.php?f=' . $_GET['id_user'] . 'no_quita_guias.txt">Descargar</a></div></td></tr>';
    }


echo "</table>";
echo "</form>";
echo "</CENTER>";
    mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?>
<td>
<center>
<? pie_de_pagina(); ?>
</center>
</td>
    <?php
    echo"</tr>";
    echo"</tbody></table>";

    echo"</center>";
    echo"</body>";
    echo"</html>";
    ?>